Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:51 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:51 PM
ctetreau updated this revision to Diff 254595.Apr 2 2020, 12:22 PM

Update to mention that this is NFC

ctetreau updated this revision to Diff 255829.Apr 7 2020, 3:02 PM

rebase, mention powerpc in commit message

efriedma accepted this revision.Apr 7 2020, 4:07 PM

LGTM

This revision is now accepted and ready to land.Apr 7 2020, 4:07 PM
This revision was automatically updated to reflect the committed changes.